Package org.eclipse.birt.chart.model.attribute

# Enum CursorType

java.lang.Object
java.lang.Enum<CursorType>
org.eclipse.birt.chart.model.attribute.CursorType

All Implemented Interfaces:
  `Serializable`, `Comparable<CursorType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum CursorType extends Enum<CursorType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration 'Cursor Type', and utility methods for working with them. The cursor type defines standard cursor types which are supported by all devices, including SWT, Swing, SVG and HTML/Image.

See Also:
  - `AttributePackage.getCursorType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
The 'Auto' literal object.
`CROSSHAIR`
The 'Crosshair' literal object.
`CUSTOM`
The 'Custom' literal object.
`DEFAULT`
The 'Default' literal object.
`ERESIZE`
The 'EResize' literal object.
`MOVE`
The 'Move' literal object.
`NE_RESIZE`
The 'NE Resize' literal object.
`NRESIZE`
The 'NResize' literal object.
`NW_RESIZE`
The 'NW Resize' literal object.
`POINTER`
The 'Pointer' literal object.
`SE_RESIZE`
The 'SE Resize' literal object.
`SRESIZE`
The 'SResize' literal object.
`SW_RESIZE`
The 'SW Resize' literal object.
`TEXT`
The 'Text' literal object.
`WAIT`
The 'Wait' literal object.
`WRESIZE`
The 'WResize' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AUTO_VALUE`
The 'Auto' literal value.
`static final int`
`CROSSHAIR_VALUE`
The 'Crosshair' literal value.
`static final int`
`CUSTOM_VALUE`
The 'Custom' literal value.
`static final int`
`DEFAULT_VALUE`
The 'Default' literal value.
`static final int`
`ERESIZE_VALUE`
The 'EResize' literal value.
`static final int`
`MOVE_VALUE`
The 'Move' literal value.
`static final int`
`NE_RESIZE_VALUE`
The 'NE Resize' literal value.
`static final int`
`NRESIZE_VALUE`
The 'NResize' literal value.
`static final int`
`NW_RESIZE_VALUE`
The 'NW Resize' literal value.
`static final int`
`POINTER_VALUE`
The 'Pointer' literal value.
`static final int`
`SE_RESIZE_VALUE`
The 'SE Resize' literal value.
`static final int`
`SRESIZE_VALUE`
The 'SResize' literal value.
`static final int`
`SW_RESIZE_VALUE`
The 'SW Resize' literal value.
`static final int`
`TEXT_VALUE`
The 'Text' literal value.
`static final List<CursorType>`
`VALUES`
A public read-only list of all the 'Cursor Type' enumerators.
`static final int`
`WAIT_VALUE`
The 'Wait' literal value.
`static final int`
`WRESIZE_VALUE`
The 'WResize' literal value.

## Method Summary

Modifier and Type
Method
Description
`static CursorType`
`get(int value)`
Returns the 'Cursor Type' literal with the specified integer value.
`static CursorType`
`get(String literal)`
Returns the 'Cursor Type' literal with the specified literal value.
`static CursorType`
`getByName(String name)`
Returns the 'Cursor Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static CursorType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CursorType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTO

public static final CursorType AUTO
The 'Auto' literal object.

See Also:
  - `AUTO_VALUE`

### CROSSHAIR

public static final CursorType CROSSHAIR
The 'Crosshair' literal object.

See Also:
  - `CROSSHAIR_VALUE`

### DEFAULT

public static final CursorType DEFAULT
The 'Default' literal object.

See Also:
  - `DEFAULT_VALUE`

### POINTER

public static final CursorType POINTER
The 'Pointer' literal object.

See Also:
  - `POINTER_VALUE`

### MOVE

public static final CursorType MOVE
The 'Move' literal object.

See Also:
  - `MOVE_VALUE`

### TEXT

public static final CursorType TEXT
The 'Text' literal object.

See Also:
  - `TEXT_VALUE`

### WAIT

public static final CursorType WAIT
The 'Wait' literal object.

See Also:
  - `WAIT_VALUE`

### ERESIZE

public static final CursorType ERESIZE
The 'EResize' literal object.

See Also:
  - `ERESIZE_VALUE`

### NE_RESIZE

public static final CursorType NE_RESIZE
The 'NE Resize' literal object.

See Also:
  - `NE_RESIZE_VALUE`

### NW_RESIZE

public static final CursorType NW_RESIZE
The 'NW Resize' literal object.

See Also:
  - `NW_RESIZE_VALUE`

### NRESIZE

public static final CursorType NRESIZE
The 'NResize' literal object.

See Also:
  - `NRESIZE_VALUE`

### SE_RESIZE

public static final CursorType SE_RESIZE
The 'SE Resize' literal object.

See Also:
  - `SE_RESIZE_VALUE`

### SW_RESIZE

public static final CursorType SW_RESIZE
The 'SW Resize' literal object.

See Also:
  - `SW_RESIZE_VALUE`

### SRESIZE

public static final CursorType SRESIZE
The 'SResize' literal object.

See Also:
  - `SRESIZE_VALUE`

### WRESIZE

public static final CursorType WRESIZE
The 'WResize' literal object.

See Also:
  - `WRESIZE_VALUE`

### CUSTOM

public static final CursorType CUSTOM
The 'Custom' literal object.

See Also:
  - `CUSTOM_VALUE`

## Field Details

### AUTO_VALUE

public static final int AUTO_VALUE
The 'Auto' literal value.

If the meaning of 'Auto' literal object isn't clear, there really should be more of a description here...

See Also:
  - `AUTO`
  - Constant Field Values

### CROSSHAIR_VALUE

public static final int CROSSHAIR_VALUE
The 'Crosshair' literal value.

If the meaning of 'Crosshair' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CROSSHAIR`
  - Constant Field Values

### DEFAULT_VALUE

public static final int DEFAULT_VALUE
The 'Default' literal value.

If the meaning of 'Default' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DEFAULT`
  - Constant Field Values

### POINTER_VALUE

public static final int POINTER_VALUE
The 'Pointer' literal value.

If the meaning of 'Pointer' literal object isn't clear, there really should be more of a description here...

See Also:
  - `POINTER`
  - Constant Field Values

### MOVE_VALUE

public static final int MOVE_VALUE
The 'Move' literal value.

If the meaning of 'Move' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MOVE`
  - Constant Field Values

### TEXT_VALUE

public static final int TEXT_VALUE
The 'Text' literal value.

If the meaning of 'Text' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TEXT`
  - Constant Field Values

### WAIT_VALUE

public static final int WAIT_VALUE
The 'Wait' literal value.

If the meaning of 'Wait' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WAIT`
  - Constant Field Values

### ERESIZE_VALUE

public static final int ERESIZE_VALUE
The 'EResize' literal value.

If the meaning of 'EResize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ERESIZE`
  - Constant Field Values

### NE_RESIZE_VALUE

public static final int NE_RESIZE_VALUE
The 'NE Resize' literal value.

If the meaning of 'NE Resize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NE_RESIZE`
  - Constant Field Values

### NW_RESIZE_VALUE

public static final int NW_RESIZE_VALUE
The 'NW Resize' literal value.

If the meaning of 'NW Resize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NW_RESIZE`
  - Constant Field Values

### NRESIZE_VALUE

public static final int NRESIZE_VALUE
The 'NResize' literal value.

If the meaning of 'NResize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NRESIZE`
  - Constant Field Values

### SE_RESIZE_VALUE

public static final int SE_RESIZE_VALUE
The 'SE Resize' literal value.

If the meaning of 'SE Resize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SE_RESIZE`
  - Constant Field Values

### SW_RESIZE_VALUE

public static final int SW_RESIZE_VALUE
The 'SW Resize' literal value.

If the meaning of 'SW Resize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SW_RESIZE`
  - Constant Field Values

### SRESIZE_VALUE

public static final int SRESIZE_VALUE
The 'SResize' literal value.

If the meaning of 'SResize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SRESIZE`
  - Constant Field Values

### WRESIZE_VALUE

public static final int WRESIZE_VALUE
The 'WResize' literal value.

If the meaning of 'WResize' literal object isn't clear, there really should be more of a description here...

See Also:
  - `WRESIZE`
  - Constant Field Values

### CUSTOM_VALUE

public static final int CUSTOM_VALUE
The 'Custom' literal value.

If the meaning of 'Custom' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CUSTOM`
  - Constant Field Values

### VALUES

public static final List<CursorType> VALUES
A public read-only list of all the 'Cursor Type' enumerators.

## Method Details

### values

public static CursorType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CursorType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static CursorType get(String literal)
Returns the 'Cursor Type' literal with the specified literal value.

### getByName

public static CursorType getByName(String name)
Returns the 'Cursor Type' literal with the specified name.

### get

public static CursorType get(int value)
Returns the 'Cursor Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<CursorType>`